import request from '@/utils/request'

// 查询学生管理列表
export function listStudentmanager(query) {
  return request({
    url: '/xjc-platform/studentmanager/list',
    method: 'get',
    params: query
  })
}

// 查询学生管理详细
export function getStudentmanager(id) {
  return request({
    url: '/xjc-platform/studentmanager/' + id,
    method: 'get'
  })
}

// 新增学生管理
export function addStudentmanager(data) {
  return request({
    url: '/xjc-platform/studentmanager',
    method: 'post',
    data: data
  })
}

// 修改学生管理
export function updateStudentmanager(data) {
  return request({
    url: '/xjc-platform/studentmanager',
    method: 'put',
    data: data
  })
}

// 删除学生管理
export function delStudentmanager(id) {
  return request({
    url: '/xjc-platform/studentmanager/' + id,
    method: 'delete'
  })
}
